#
# spec file for package kdepim
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define create_subdir_filelist(d:f:o:v:) \
  %{!-d:echo -e "\\nERROR: missing parameter for macro create_subdir_filelist\\n" ; exit 1 ; } \
  filelist=%{-f:%{-f*}}%{!-f:%{-d*}} \
  filelist=${filelist#*/} \
  if test -e doc/%{-d*}; then \
    pushd doc/%{-d*} \
    make DESTDIR=$RPM_BUILD_ROOT.%{-d*} install \
    popd \
  fi \
  pushd %{-d*} \
  make DESTDIR=$RPM_BUILD_ROOT.%{-d*} install \
  mkdir -p $RPM_BUILD_DIR/%buildsubdir/filelists \
  { \
    echo "%%defattr(-,root,root,755)" \
    if test -n "%{-v*}"; then \
      devel_filelist=%{-v*} \
      devel_filelist=${devel_filelist#*/} \
      { \
	echo "%%defattr(-,root,root,755)" \
	find $RPM_BUILD_ROOT.%{-d*} \\( \\\
	     -path "$RPM_BUILD_ROOT.%{-d*}/usr/include/KF5/*" \\( -type f -o -type l \\) -o \\\
	     -path "$RPM_BUILD_ROOT.%{-d*}/usr/share/kde5/apps/cmake/modules/*" -type f -o \\\
	     -path "$RPM_BUILD_ROOT.%{-d*}/usr/lib*/cmake/*" -type f -o \\\
	     -name '*.so' -type l \\) -printf "/%%P\\n" \
      } | tee -a $RPM_BUILD_DIR/%buildsubdir/filelists/$devel_filelist | \
      sed -e '/^%%defattr/d' -e 's/^/%%exclude /' \
    fi \
    find $RPM_BUILD_ROOT.%{-d*} \\\
	 \\( -path "$RPM_BUILD_ROOT.%{-d*}/usr/share/doc/HTML/en/%{-d*}" -o \\\
            -path "$RPM_BUILD_ROOT.%{-d*}/usr/share/doc/HTML/en/%{-d*}/*" \\) \\\
	 -type d -printf "%%%%dir /%%P\\n" -o \\\
    	 \\( -type f -o -type l \\) -printf "/%%P\\n" \
  } | \
  sed -r "s/man\\/man([1-9])\\/(.*)\\.[1-9]$/man\\/man\\1\\/\\2\\.\\1.gz/;s,^/usr/share/doc/HTML/(.[^/])/,%%doc %%lang(\\1) &," >> $RPM_BUILD_DIR/%buildsubdir/filelists/$filelist \
  rm -rf $RPM_BUILD_ROOT.%{-d*} \
  popd \
%{nil}

Name:           kdepim
Version:        16.08.2
Release:        2.19
Summary:        Base package of kdepim
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        kdepim-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-calendar-devel
BuildRequires:  akonadi-contact-devel
BuildRequires:  akonadi-mime-devel
BuildRequires:  akonadi-notes-devel
BuildRequires:  akonadi-search-devel
BuildRequires:  akonadi-server-devel
BuildRequires:  boost-devel
BuildRequires:  calendarsupport-devel
BuildRequires:  eventviews-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  gpgmepp5-devel
BuildRequires:  grantlee5-devel
BuildRequires:  grantleetheme-devel
BuildRequires:  incidenceeditor-devel
BuildRequires:  kalarmcal-devel
BuildRequires:  karchive-devel
BuildRequires:  kauth-devel
BuildRequires:  kblog-devel
BuildRequires:  kcalcore-devel
BuildRequires:  kcalutils-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kconfig-devel
BuildRequires:  kcontacts-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kdepim-apps-libs-devel
BuildRequires:  kdewebkit-devel >= 5.0
BuildRequires:  kdgantt2-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel
BuildRequires:  kholidays-devel
BuildRequires:  kidentitymanagement-devel
BuildRequires:  kimap-devel
BuildRequires:  kldap-devel
BuildRequires:  kmailtransport-devel
BuildRequires:  kmbox-devel
BuildRequires:  kmime-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kontactinterface-devel
BuildRequires:  kpimtextedit-devel
BuildRequires:  kross-devel
BuildRequires:  kservice-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  ktnef-devel
BuildRequires:  kwallet-devel
BuildRequires:  kxmlrpcclient5-devel
BuildRequires:  libgravatar-devel
BuildRequires:  libkdepim-devel
BuildRequires:  libkgapi-devel
BuildRequires:  libkleo-devel
BuildRequires:  libksieve-devel
BuildRequires:  libprison-devel
BuildRequires:  libxslt-devel
BuildRequires:  mailcommon-devel
BuildRequires:  mailimporter-devel
BuildRequires:  messagelib-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  pimcommon-devel
BuildRequires:  sonnet-devel
BuildRequires:  syndication-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.5.0
BuildRequires:  pkgconfig(Qt5OpenGL) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Sql) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.5.0
BuildRequires:  pkgconfig(Qt5UiTools) >= 5.5.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.5.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.5.0
Requires:       akonadi-search
Requires:       akonadi_resources = %{version}
# PATCH-FIX-OPENSUSE korgac-autostart-default.patch fvogt@suse.com -- Change korgac autostart default
Patch1:         korgac-autostart-default.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1320
Obsoletes:      kdepim4 < %{version}
%else
Conflicts:      kdepim4
# Account wizard files
Conflicts:      kdepim4-runtime <= 4.14.10
%endif

%description
This package contains the core files of the kdepim module.

%prep
%setup -q -n kdepim-%{version}
%patch1 -p1

%build
%cmake_kf5 -d build -- -DBUILD_TESTING=ON -DKDEPIM_NO_TEXTTOSPEECH=TRUE

%make_jobs

%install
cd build
%kf5_makeinstall

%create_subdir_filelist -d akregator -v devel
%create_subdir_filelist -d blogilo -v devel
%create_subdir_filelist -d kaddressbook -v devel
%create_subdir_filelist -d kalarm -v devel
%create_subdir_filelist -d kmail -v devel
%create_subdir_filelist -d ktnef -v devel
%create_subdir_filelist -d knotes -v devel
%create_subdir_filelist -d kontact -v devel
%create_subdir_filelist -d korganizer -v devel
%create_exclude_filelist

cd ..

cat filelists/libkdepim.devel | while read line; do echo "%exclude $line";done >>filelists/devel
rm %{buildroot}%{_kf5_libdir}/*.so
grep -v "%{_kf5_libdir}/lib.*so$" filelists/akregator > filelists/akregator.upd
grep -v "%{_kf5_libdir}/lib.*so$" filelists/kalarm > filelists/kalarm.upd
grep -v "%{_kf5_libdir}/lib.*so$" filelists/korganizer > filelists/korganizer.upd
grep -v "%{_kf5_libdir}/lib.*so$" filelists/exclude > filelists/exclude.upd
rm filelists/devel

  %suse_update_desktop_file -r org.kde.blogilo         Utility WebUtility
  %suse_update_desktop_file -u org.kde.akonadiconsole Network  Email
  %suse_update_desktop_file -u org.kde.pimsettingexporter Network Email
  %suse_update_desktop_file org.kde.storageservicemanager     Network   Email
  %suse_update_desktop_file org.kde.kontact         Office   Core-Office
  %suse_update_desktop_file org.kde.sieveeditor    Network   Email
  %suse_update_desktop_file org.kde.kalarm          Utility  TimeUtility
  %suse_update_desktop_file -u org.kde.importwizard    Network Email
  %suse_update_desktop_file org.kde.knotes          Utility  DesktopUtility
  %suse_update_desktop_file -r org.kde.akregator       Network  RSS-News
  %suse_update_desktop_file org.kde.korganizer      Office   Calendar

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%package -n akonadi_resources
Summary:        KDE Resources for PIM Storage Service
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Requires:       akonadi-server
Requires:       kdepim-runtime
%if 0%{?suse_version} > 1320
Obsoletes:      akonadi < %{version}
%else
Conflicts:      akonadi
# Executables: Archive mail agent, followup reminder, mailfilter, notes, sendlateragent, akonadiconsole
Conflicts:      kdepim4
%endif

%description -n akonadi_resources
This package contains the KDE resources for Akonadi, the KDE PIM
storage service.

%post   -n akonadi_resources -p /sbin/ldconfig

%postun -n akonadi_resources -p /sbin/ldconfig

%files -n akonadi_resources
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kf5_htmldir}/en/akonadi_*
%dir %{_kf5_sharedir}/kconf_update
%{_kf5_applicationsdir}/org.kde.akonadiconsole.desktop
%{_kf5_bindir}/akonadi_*_agent
%{_kf5_bindir}/akonadiconsole
%{_kf5_sharedir}/akonadi/
%{_kf5_sharedir}/kconf_update/akonadiconsole-15.08-kickoff.sh
%{_kf5_sharedir}/kconf_update/akonadiconsole.upd

%package -n akregator5
Summary:        RSS Feed Reader
License:        LGPL-2.1+
Group:          Productivity/Networking/News/Utilities
Requires:       libkdepim = %{version}
%if 0%{?suse_version} > 1320
Obsoletes:      akregator < %{version}
%else
Conflicts:      akregator
%endif

%description -n akregator5
A KDE Feed Aggregator

%post   -n akregator5 -p /sbin/ldconfig

%postun -n akregator5 -p /sbin/ldconfig

%files -n akregator5 -f filelists/akregator.upd
%defattr(-,root,root)
%dir %{_kf5_iconsdir}/hicolor/256x256
%dir %{_kf5_iconsdir}/hicolor/256x256/apps
%doc %lang(en) %{_kf5_htmldir}/en/akregator/
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kf5_applicationsdir}/org.kde.akregator.desktop
%{_kf5_bindir}/akregator*
%{_kf5_configkcfgdir}/akregator.kcfg
%{_kf5_dbusinterfacesdir}/org.kde.akregator.part.xml
%{_kf5_plugindir}/akregator*.so
%{_kf5_servicesdir}/akregator_*.desktop
%{_kf5_servicesdir}/feed.protocol
%{_kf5_servicetypesdir}/akregator_plugin.desktop
%{_kf5_sharedir}/akregator
%{_kf5_appstreamdir}/org.kde.akregator.appdata.xml

%package -n blogilo5
Summary:        KDE Blog Editor
License:        LGPL-2.1+
Group:          Productivity/Editors/Other
Requires:       ktexteditor
Requires:       libkdepim = %{version}
%if 0%{?suse_version} > 1320
Obsoletes:      blogilo < %{version}
%else
Conflicts:      blogilo
%endif

%description -n blogilo5
A blog editor for KDE

%post   -n blogilo5 -p /sbin/ldconfig

%postun -n blogilo5 -p /sbin/ldconfig

%files -n blogilo5 -f filelists/blogilo
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kf5_htmldir}/en/blogilo/
%{_kf5_applicationsdir}/org.kde.blogilo.desktop
%{_kf5_bindir}/blogilo
%{_kf5_configkcfgdir}/blogilo.kcfg
%{_kf5_appstreamdir}/org.kde.blogilo.appdata.xml
%dir %{_kf5_sharedir}/composereditorwebengine

%package -n kaddressbook5
Summary:        Address Manager
License:        LGPL-2.1+
Group:          Productivity/Networking/Email/Utilities
Requires:       kdepim-addons
Requires:       kdepim-runtime
Requires:       libkdepim = %{version}
%if 0%{?suse_version} > 1320
Obsoletes:      kaddressbook < %{version}
%else
Conflicts:      kaddressbook
# DBus service file
Conflicts:      libkdepim4
%endif

%description -n kaddressbook5
The KDE Address Book

%post   -n kaddressbook5 -p /sbin/ldconfig

%postun -n kaddressbook5 -p /sbin/ldconfig

%files -n kaddressbook5 -f filelists/kaddressbook
%defattr(-,root,root)
%config %{_kf5_configdir}/kaddressbook_themes.knsrc
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kf5_applicationsdir}/kaddressbook-importer.desktop
%{_kf5_applicationsdir}/org.kde.kaddressbook*.desktop
%{_kf5_bindir}/kaddressbook
%{_kf5_plugindir}/kaddressbookpart.so
%{_kf5_servicesdir}/kaddressbookpart.desktop
%{_kf5_appstreamdir}/org.kde.kaddressbook.appdata.xml
%{_kf5_sharedir}/kaddressbook/

%package -n kmail5
Summary:        Mail Client
License:        GPL-2.0
Group:          Productivity/Networking/Email/Clients
Requires:       kdepim-addons
Requires:       kdepim-runtime
# Account wizard is provided by this package
Requires:       kdepim = %{version}
Requires:       libkdepim = %{version}
Recommends:     kleopatra5
%if 0%{?suse_version} > 1320
Obsoletes:      kmail < %{version}
%else
Conflicts:      kmail
# Sieveeditor executable
Conflicts:      kdepim4
# mailtransport DBus interface
Conflicts:      libkdepim4
%endif

%description -n kmail5
KMail is the KDE mail client.

%post   -n kmail5 -p /sbin/ldconfig

%postun -n kmail5 -p /sbin/ldconfig

%files -n kmail5 -f filelists/kmail
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kf5_htmldir}/en/kmail/
%dir %{_kf5_sharedir}/kconf_update
%{_kf5_applicationsdir}/kmail_view.desktop
%{_kf5_applicationsdir}/org.kde.kmail.desktop
%{_kf5_bindir}/kmail*
%{_kf5_bindir}/sieveeditor
%{_kf5_configkcfgdir}/kmail.kcfg
%{_kf5_dbusinterfacesdir}/org.kde.kmail.*.xml
%{_kf5_plugindir}/kmailpart.so
%{_kf5_servicesdir}/ServiceMenus/
%{_kf5_servicesdir}/kmail_*.desktop
%{_kf5_servicetypesdir}/dbusmail.desktop
%{_kf5_appstreamdir}/org.kde.kmail.appdata.xml
%{_kf5_sharedir}/kconf_update/sieveeditor-15.08-kickoff.sh
%{_kf5_sharedir}/kconf_update/sieveeditor.upd
%{_kf5_sharedir}/kmail2/
%exclude %{_kf5_bindir}/akonadi_*_agent
%exclude %{_kf5_sharedir}/akonadi/

%package -n ktnef5
Summary:        Viewer for email attachments in TNEF format
License:        LGPL-2.1+
Group:          Productivity/Networking/Email/Clients
Requires:       kdepim-runtime
Requires:       libkdepim = %{version}
%if 0%{?suse_version} > 1320
Obsoletes:      ktnef < %{version}
%else
Conflicts:      ktnef
%endif

%description -n ktnef5
KTNEF is a viewer for email attachments in the TNEF format.

%post -n ktnef5 -p /sbin/ldconfig

%postun -n ktnef5 -p /sbin/ldconfig

%files -n ktnef5 -f filelists/ktnef
%defattr(-,root,root)
%doc %lang(en) %{_kf5_htmldir}/en/ktnef/
%{_kf5_applicationsdir}/org.kde.ktnef.desktop
%{_kf5_bindir}/ktnef
%{_kf5_iconsdir}/*/*/*/ktnef*.png

%package -n knotes5
Summary:        Popup Notes
License:        LGPL-2.1+
Group:          Productivity/Other
Requires:       libkdepim = %{version}
%if 0%{?suse_version} > 1320
Obsoletes:      knotes < %{version}
%else
Conflicts:      knotes
%endif

%description -n knotes5
KNotes is a note taking application for KDE.

%post   -n knotes5 -p /sbin/ldconfig

%postun -n knotes5 -p /sbin/ldconfig

%files -n knotes5 -f filelists/knotes
%defattr(-,root,root)
%config %{_kf5_configdir}/knotes_printing_theme.knsrc
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kf5_htmldir}/en/knotes/
%{_kf5_applicationsdir}/org.kde.knotes.desktop
%{_kf5_bindir}/knotes
%{_kf5_configkcfgdir}/knotesglobalconfig.kcfg
%{_kf5_dbusinterfacesdir}/org.kde.KNotes.xml
%{_kf5_dbusinterfacesdir}/org.kde.kontact.*.xml
%{_kf5_servicesdir}/knote_*.desktop
%{_kf5_appstreamdir}/org.kde.knotes.appdata.xml
%{_kf5_sharedir}/knotes/
%exclude %{_datadir}/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%exclude %_bindir/akonadi_notes_agent
%exclude %_datadir/akonadi/agents/notesagent.desktop

%package -n kontact5
Summary:        Personal Information Manager
License:        LGPL-2.1+
Group:          Productivity/Other
Requires:       libkdepim = %{version}
Recommends:     kmail5
Suggests:       kaddressbook5
Suggests:       knotes5
Suggests:       korganizer5
%if 0%{?suse_version} > 1320
Obsoletes:      kontact < %{version}
%else
Conflicts:      kontact
%endif

%description -n kontact5
Kontact combines the individual applications KMail, KAddressBook and
KOrganizer as views in one window.

%post   -n kontact5 -p /sbin/ldconfig

%postun -n kontact5 -p /sbin/ldconfig

%files -n kontact5 -f filelists/kontact
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kf5_htmldir}/en/kontact-admin/
%doc %lang(en) %{_kf5_htmldir}/en/kontact/
%{_kf5_applicationsdir}/kontact-admin.desktop
%{_kf5_applicationsdir}/org.kde.kontact.desktop
%{_kf5_bindir}/kontact
%{_kf5_configkcfgdir}/kontact.kcfg
%{_kf5_servicesdir}/kontactconfig.desktop
%{_kf5_appstreamdir}/org.kde.kontact.appdata.xml
%exclude %{_datadir}/dbus-1/interfaces/org.kde.kontact.KNotes.xml

%package -n korganizer5
Summary:        Personal Organizer
License:        GPL-2.0
Group:          Productivity/Office/Organizers
Requires:       kdepim-addons
Requires:       kdepim-runtime
Requires:       libkdepim = %{version}
%if 0%{?suse_version} > 1320
Obsoletes:      korganizer < %{version}
%else
Conflicts:      korganizer
# korgac binary, DBus interface
Conflicts:      kdepim4
%endif

%description -n korganizer5
KOrganizer is a calendar application for KDE.

%post   -n korganizer5 -p /sbin/ldconfig

%postun -n korganizer5 -p /sbin/ldconfig

%files -n korganizer5 -f filelists/korganizer.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kf5_htmldir}/en/korganizer/
%config %{_kf5_configdir}/korganizer.knsrc
%{_kf5_applicationsdir}/korganizer*.desktop
%{_kf5_applicationsdir}/org.kde.korganizer.desktop
%{_kf5_bindir}/ical2vcal
%{_kf5_bindir}/korgac
%{_kf5_bindir}/korganizer
%{_kf5_configdir}/autostart/org.kde.korgac.desktop
%{_kf5_configkcfgdir}/korganizer.kcfg
%{_kf5_dbusinterfacesdir}/org.kde.Korganizer.*.xml
%{_kf5_dbusinterfacesdir}/org.kde.korganizer.*.xml
%{_kf5_plugindir}/korganizerpart.so
%{_kf5_servicesdir}/korganizer_*.desktop
%{_kf5_servicesdir}/webcal.protocol
%{_kf5_servicetypesdir}/dbuscalendar.desktop
%{_kf5_appstreamdir}/org.kde.korganizer.appdata.xml
%{_kf5_sharedir}/korgac/
%{_kf5_sharedir}/korganizer/

%package -n kalarm5
Summary:        Personal Alarm Scheduler
License:        LGPL-2.1+
Group:          Productivity/Other
Requires:       libkdepim = %{version}
%if 0%{?suse_version} > 1320
Obsoletes:      kalarm < %{version}
%else
Conflicts:      kalarm
%endif

%description -n kalarm5
Personal alarm message, command and email scheduler for KDE

%post -n kalarm5 -p /sbin/ldconfig

%postun -n kalarm5 -p /sbin/ldconfig

%files -n kalarm5 -f filelists/kalarm.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kf5_htmldir}/en/kalarm/
%config %{_sysconfdir}/dbus-1/system.d/org.kde.kalarmrtcwake.conf
%dir %{_kf5_sharedir}/kconf_update
%{_kf5_applicationsdir}/org.kde.kalarm.desktop
%{_kf5_bindir}/kalarm*
%{_kf5_configdir}/autostart/kalarm.autostart.desktop
%{_kf5_configkcfgdir}/kalarmconfig.kcfg
%{_kf5_dbusinterfacesdir}/org.kde.kalarm.kalarm.xml
%{_kf5_appstreamdir}/org.kde.kalarm.appdata.xml
%{_kf5_sharedir}/dbus-1/system-services/org.kde.kalarmrtcwake.service
%{_kf5_sharedir}/kalarm/
%{_kf5_sharedir}/polkit-1/actions/org.kde.kalarmrtcwake.policy
%{_libdir}/libexec/kalarm_helper

%files -f filelists/exclude.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%config %{_kf5_configdir}/accountwizard.knsrc
%dir %{_kf5_iconsdir}/hicolor/256x256
%dir %{_kf5_iconsdir}/hicolor/256x256/apps
%dir %{_kf5_servicesdir}/kontact
%dir %{_kf5_appstreamdir}
%dir %{_kf5_sharedir}/kconf_update
%dir %{_kf5_sharedir}/kontact
%dir %{_kf5_sharedir}/kontact/ksettingsdialog

%{_kf5_applicationsdir}/konsolekalendar.desktop
%{_kf5_applicationsdir}/org.kde.accountwizard.desktop
%{_kf5_applicationsdir}/org.kde.contactprintthemeeditor.desktop
%{_kf5_applicationsdir}/org.kde.contactthemeeditor.desktop
%{_kf5_applicationsdir}/org.kde.headerthemeeditor.desktop
%{_kf5_applicationsdir}/org.kde.importwizard.desktop
%{_kf5_applicationsdir}/org.kde.mboximporter.desktop
%{_kf5_applicationsdir}/org.kde.pimsettingexporter.desktop
%{_kf5_applicationsdir}/org.kde.sieveeditor.desktop
%{_kf5_applicationsdir}/org.kde.storageservicemanager.desktop

%{_kf5_bindir}/accountwizard
%{_kf5_bindir}/calendarjanitor
%{_kf5_bindir}/contactprintthemeeditor
%{_kf5_bindir}/contactthemeeditor
%{_kf5_bindir}/headerthemeeditor
%{_kf5_bindir}/importwizard
%{_kf5_bindir}/ispdb
%{_kf5_bindir}/konsolekalendar
%{_kf5_bindir}/mboximporter
%{_kf5_bindir}/pimsettingexporter*
%{_kf5_bindir}/storageservicemanager

%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_iconsdir}/oxygen/*/*/*

%{_kf5_plugindir}/accountwizard_plugin.so
%{_kf5_plugindir}/kcm_*.so

%{_kf5_servicesdir}/kcm*.desktop

%{_kf5_sharedir}/importwizard/
%{_kf5_sharedir}/kconf_update/importwizard*
%{_kf5_sharedir}/kconf_update/pimsettingexporter*
%{_kf5_sharedir}/kconf_update/storageservicemanager*
%{_kf5_sharedir}/knotifications5/
%{_kf5_sharedir}/kxmlgui5/
%{_kf5_sharedir}/mime/packages/accountwizard-mime.xml

%exclude %{_kf5_iconsdir}/hicolor/*/*/ktnef*.png

%_libdir/libgrantleethemeeditor.so.*
%_libdir/libpimsettingexporterprivate.so.*
%doc %lang(en) %{_kf5_htmldir}/en/contactthemeeditor/
%doc %lang(en) %{_kf5_htmldir}/en/headerthemeeditor/
%doc %lang(en) %{_kf5_htmldir}/en/importwizard/
%doc %lang(en) %{_kf5_htmldir}/en/konsolecalendar/
%doc %lang(en) %{_kf5_htmldir}/en/pimsettingexporter/
%doc %lang(en) %{_kf5_htmldir}/en/sieveeditor/
%_datadir/messageviewer/
%{_kf5_configdir}/accountwizard.categories
%{_kf5_configdir}/akonadiconsole.categories
%{_kf5_configdir}/console.categories
%{_kf5_configdir}/grantleeditor.categories
%{_kf5_configdir}/importwizard.categories
%{_kf5_configdir}/pimsettingexporter.categories
%{_kf5_configdir}/sieveeditor.categories
%{_kf5_configdir}/storageservicemanager.categories
%{_kf5_configkcfgdir}/grantleethemeeditor.kcfg
%{_kf5_configkcfgdir}/pimsettingexporterglobalconfig.kcfg
%{_kf5_configkcfgdir}/sieveeditorglobalconfig.kcfg
%{_kf5_configkcfgdir}/storageservicemanagerglobalconfig.kcfg

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Wed Jul 27 2016 wbauer@tmo.at
- Cleanup/update build requirements
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Thu Jun 30 2016 fvogt@suse.com
- Add korgac-autostart-default.patch to prevent korgac from
    starting on the first login of a new user.
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Fri Apr 29 2016 lbeltrame@kde.org
- Require kdepim for kmail, or the account wizard won't be found
  at startup. Found by openQA.
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Sat Apr 16 2016 ctrippe@opensuse.org
- Require kdepim-addons in kmail (kde#361605), korganizer and
  kaddressbook
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
- libkdepim and kleopatra were split off in separate packages upstream
* Mon Mar 28 2016 ctrippe@opensuse.org
- Remove x-mail-distribution-list from kdepim package as they are
  provided by oxygen-icon-theme package to avoid file conflicts
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
* Thu Feb  4 2016 tittiatcoke@gmail.com
- Make sure that akonadi-search gets installed as that it contains
  the search agents
* Wed Jan 27 2016 tittiatcoke@gmail.com
- Kjots is now offered as a separate package based on Frameworks.
  No longer obsolete or conflict it.
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Tue Dec 22 2015 alarrosa@suse.com
- Drop disable-qt5uitools-cmake-requirement.diff which is no longer needed for SLE12
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
- Drop upstreamed patch boo949130.diff
* Thu Oct 29 2015 dvaleev@suse.com
- Add disk constraints
* Wed Oct 21 2015 tittiatcoke@gmail.com
- Add upstream bugfix boo949130.diff to prevent kmail from
  crashing (boo#949130)
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
* Fri Oct  9 2015 alarrosa@suse.com
- Added disable-qt5uitools-cmake-requirement.diff to be used in SLE12.
  Since SLE12 doesn't have cmake 3.0.0, the Qt5::UiTools cmake module
  can't be used, so this patch fixes accountwizard and korganizer
  to build without using it.
* Fri Sep 25 2015 lbeltrame@kde.org
- Add explicit conflicts to ensure that PIM 4.x and PIM KF5 are not
  co-installable
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
- Drop upstream patch kdepim_sync_with_upstream.patch
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
- Add kdepim_sync_with_upstream.patch: Add upstream fixes from branch
  Applications/15.08
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Initial version based on KDE Applications 15.07.90
  * KDE Applications 15.08.0 RC1
  * https://www.kde.org/announcements/announce-applications-15.07.90.php
